<?
/*
=============================================
Движок:  SHCMS Engine
=============================================
Название файла: Форум
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$adminka->admin();
$shcmsengine['title'] = 'Создать новую категорию';
include_once'../template/head.php';
registrat();

    if($_POST['submit'])
    {
	    $submit = $_POST['submit'];
	}


        if(isset($submit))
        {
            if($_POST['name'])
            {
			    $name = $_POST['name'];
			}
            
			if($_POST['message'])
            {
			    $message = $_POST['message'];
			}
			
            if(empty($name))
            {
                echo'<div class="errors">Введите название</div>';
                include_once'../template/foot.php';
                exit();
            }

			if(strlen($name)< 0 ||  strlen($name) >30)
            {
                echo'<div class="errors">название должен быть не больше 30 символов</div>';
                exit();
            }
			if(strlen($message)< 0 ||  strlen($message) > 255)
            {
                echo'<div class="errors">Описание должен быть не больше 255 символов</div>';
                exit();
            }
        
		    if($_POST['icon_cat'])
            {
                $icon_cat = $_POST['icon_cat'];
            }

			    $name = trim($name);
                $name = stripslashes($name);
                $name = htmlspecialchars($name);

                    if(mysql_result(mysql_query("SELECT * FROM forum_cat WHERE name='$name'"),0) != 0)
                    {
                        echo '<div class="errors">Такая категория уже существует</div>';
                        header("Refresh: 1; url=new.cat.php");
                        include_once'../template/foot.php';
                        exit();
                    }
            if(isset($name))
            {
                $mysql_ok = mysql_query("INSERT INTO `forum_cat` (`name`,`message`,`time`,`icon`) VALUES ('$name','$message','$time_date','$icon_cat')");
                    
					if($mysql_ok == true)
                    {
                        echo'<div class="actshcms">Категория успешно создана</div>';
                        header("Refresh: 1; url=index.php");
                        include_once'../template/foot.php';
                        exit();
                    }
                    else
                    {
                        echo'<div class="errors">Ошибка создании категории</div>';
                        header("Refresh: 1; url=new.cat.php");
                        include_once'../template/foot.php';
                        exit();
                    }
			}
        }
		echo '<form action="?'.$conservation.'" method="post">';
        echo 'Название категорию:<br/><input type="text" name="name"><br/>';
        echo 'Описание категории:<br/><textarea class="border_message" name="message"></textarea><br/>';
        echo "Иконка для категории:<br />\n<select name='icon_cat'>\n";
            $icons_cat = opendir('icon/icon_cat/');
             while ($icons_cats = readdir($icons_cat)) 
			 {
                if (($icons_cats != '.') && ($icons_cats != '..') && ($icons_cats != 'Thumbs.db')) 
				{
                    echo '<option>'.$icons_cats . '</option>';
            
			    }
            }
            closedir($icons_cat);
        echo '</select><br/>';
        echo '<input type="submit" name="submit" value="Создать категорию"></form>';
		
	include_once'../template/foot.php';
?>